﻿using System.Data.Entity;
using CodeFirstDemo.Entities;
using CodeFirstDemo.Initializers;

namespace CodeFirstDemo
{
    public class GameDbContext : DbContext
    {
        public GameDbContext() : base("PV179CodeFirst")
        {
            Database.SetInitializer(new GameDbInitializer());
        }
        public DbSet<Player> Players { get; set; }
        public DbSet<Team> Teams { get; set; }
    }
}
