﻿using System.Collections.Generic;
using System.Data.Entity;
using CodeFirstDemo.Entities;

namespace CodeFirstDemo.Initializers
{
    public class GameDbInitializer : DropCreateDatabaseAlways<GameDbContext>
    {
        protected override void Seed(GameDbContext context)
        {
            context.Teams.Add(new Team
            {
                Name = "SuperTeam",
                Country = "USA"
            });

            base.Seed(context);
        }
    }
}
